OAuth2 Authorization endpoint for Authorization Code flow

OAuth2 Authorization endpoint that initiates the Authorization Code flow.

This endpoint should be accessed by the user's browser to authorize a third-party application.

Required parameters:

  • response_type: Must be 'code' for Authorization Code flow
  • client_id: The OAuth2 client identifier
  • redirect_uri: Where to redirect after authorization (must be registered with the client)
  • scope: Space-separated list of requested permissions (optional)
  • state: Random string to prevent CSRF attacks (optional)

Example:

GET /api/v1/auth/oauth2/authorize?response_type=code&client_id=123&redirect_uri=https://example.com/callback&scope=read write&state=xyz123

The user will be redirected to a login page if not authenticated, then to a consent page, and finally back to the redirect_uri with an authorization code.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
string
required
string
string
string
string
string
Headers
string
Defaults to Swagger
Responses
200

Authorization successful, redirects to redirect_uri with code

400

Invalid request parameters

401

User not authenticated

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!